=== modified file 'TODO'
--- TODO	2005-06-24 09:18:43 +0000
+++ TODO	2005-07-04 12:22:34 +0000
@@ -111,6 +111,8 @@
 * ``bzr status FOO`` where foo is ignored should say so.
 
 * ``bzr mkdir A...`` should just create and add A.
+
+* Guard against repeatedly merging any particular patch.
   
 
 
@@ -300,6 +302,8 @@
 * Don't pass around command classes but rather pass objects.  This'd
   make it cleaner to construct objects wrapping external commands.
 
+* Track all merged-in revisions in a versioned add-only metafile.
+
 
 Large things
 ------------

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2005-07-04 11:57:18 +0000
+++ bzrlib/commit.py	2005-07-04 12:22:34 +0000
@@ -169,6 +169,8 @@
 
         branch.append_revision(rev_id)
 
+        branch.set_pending_merges([])
+
         if verbose:
             note("commited r%d" % branch.revno())
     finally:

=== modified file 'bzrlib/selftest/whitebox.py'
--- bzrlib/selftest/whitebox.py	2005-07-04 11:57:18 +0000
+++ bzrlib/selftest/whitebox.py	2005-07-04 12:22:34 +0000
@@ -73,6 +73,10 @@
                           'foo@azkhazan-123123-abcabc')
         self.assertEquals(rev.parents[1].revision_id,
                            'wibble@fofof--20050401--1928390812')
+
+        # list should be cleared when we do a commit
+        self.assertEquals(b.pending_merges(), [])
+        
         
         
 

